"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsosTemplateTranslatorError = exports.JsosTemplateParserError = exports.JsonTemplateLexerError = void 0;
class JsonTemplateLexerError extends Error {
    constructor(message) {
        super(message);
    }
}
exports.JsonTemplateLexerError = JsonTemplateLexerError;
class JsosTemplateParserError extends Error {
    constructor(message) {
        super(message);
    }
}
exports.JsosTemplateParserError = JsosTemplateParserError;
class JsosTemplateTranslatorError extends Error {
    constructor(message) {
        super(message);
    }
}
exports.JsosTemplateTranslatorError = JsosTemplateTranslatorError;
