import { Expression } from './types';
import { JsonTemplateLexer } from './lexer';
export declare class JsonTemplateParser {
    private lexer;
    constructor(lexer: JsonTemplateLexer);
    parse(): Expression;
    private parseEndOfStatement;
    private parseStatements;
    private parseStatementsExpr;
    private parseStatementExpr;
    private parseAssignmentExpr;
    private parseBaseExpr;
    private parseNextExpr;
    private parseToArrayExpr;
    private parsePathPart;
    private parsePathParts;
    private static prependFunctionID;
    private static combinePathParts;
    private static convertToFunctionCallExpr;
    private parsePathRoot;
    private parsePath;
    private parseContextVariable;
    private parseSelector;
    private parseRangeFilterExpr;
    private parseArrayIndexFilterExpr;
    private parseArrayFilterExpr;
    private parseObjectFilter;
    private combineObjectFilters;
    private parseObjectFiltersExpr;
    private parseConditionalExpr;
    private parseArrayFiltersExpr;
    private parseCoalescingExpr;
    private parseLogicalORExpr;
    private parseLogicalANDExpr;
    private parseEqualityExpr;
    private parseRelationalExpr;
    private parseShiftExpr;
    private parseAdditiveExpr;
    private parseMultiplicativeExpr;
    private parsePowerExpr;
    private parseUnaryExpr;
    private shouldSkipPathParsing;
    private parsePathAfterExpr;
    private parseLiteralExpr;
    private parseIDPath;
    private parseObjectDefVars;
    private parseNormalDefVars;
    private parseDefinitionExpr;
    private parseFunctionCallArgs;
    private parseFunctionCallExpr;
    private parseFunctionDefinitionParam;
    private parseFunctionDefinitionParams;
    private parseFunctionExpr;
    private parseObjectKeyExpr;
    private parseObjectPropExpr;
    private parseObjectExpr;
    private parseCommaSeparatedElements;
    private parseSpreadExpr;
    private parseArrayExpr;
    private parseBlockExpr;
    private parseAsyncFunctionExpr;
    private parseLambdaExpr;
    private parsePrimaryExpr;
    private static setSubpath;
    private static pathContainsVariables;
    private static convertToBlockExpr;
}
//# sourceMappingURL=parser.d.ts.map