import { Expression } from './types';
export declare class JsonTemplateTranslator {
    private vars;
    private lastVarId;
    private unusedVars;
    private expr;
    constructor(expr: Expression);
    private init;
    private acquireVar;
    private acquireVars;
    private releaseVars;
    translate(dest?: string, ctx?: string): string;
    private translateExpr;
    private translateConditionalExpr;
    private translateLambdaArgExpr;
    private translateSpreadExpr;
    private translatePathRoot;
    private translatePathContext;
    private prepareDataForPathPart;
    private translatePathParts;
    private translatePath;
    private translateCurrentSelector;
    private translateSelector;
    private translateDescendantSelector;
    private translateFunctionExpr;
    private getFunctionName;
    private translateFunctionCallExpr;
    private translateObjectExpr;
    private translateSpreadableExpressions;
    private translateArrayExpr;
    private translateLiteralExpr;
    private getSelectorAssignmentPart;
    private getArrayIndexAssignmentPart;
    private translateAssignmentExpr;
    private translateDefinitionVars;
    private translateDefinitionExpr;
    private translateStatementsExpr;
    private translateStatements;
    private getLogicalConditionCode;
    private translateLogicalExpr;
    private translateINExpr;
    private translateLiteral;
    private translateUnaryExpr;
    private static isArrayFilterExpr;
    private static isValidSelectorForAssignment;
    private static isSinglePropSelection;
    private static returnObjectValues;
    private static returnSingleValue;
    private static convertToSingleValue;
    private static returnSingleValueIfSafe;
    private static covertToArrayValue;
    private static generateAssignmentCode;
    private translateArrayFilterExpr;
    private translateObjectFilterExpr;
    private translateObjectIndexFilterExpr;
    private translateArrayIndexFilterExpr;
    private translateIndexFilterExpr;
    private translateRangeFilterExpr;
    private translateBinaryExpr;
}
//# sourceMappingURL=translator.d.ts.map